View Issue Details

IDProjectCategoryView StatusLast Update
0036864LazarusLCLpublic2020-04-06 16:07
ReporterKarl-Michael Schindler Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformdarwinOSMac OS X 
Product Version2.0.7 (SVN) 
Target Version2.0.8 
Summary0036864: Building lazarus-cocoa with fpc 3.2.0-RC1 is broken because of updated cocoa headers
DescriptionBuilding Lazarus-cocoa in the 2.0-fixes branch is broken:

make bigide LCL_PLATFORM=cocoa

gives:

...
cocoaprivate.pas(1552,26) Error: identifier idents no member "setNeedsDisplay"
cocoaprivate.pas(1563,8) Error: identifier idents no member "setNeedsDisplay"
...
I do not really understand the details, but I assume the update of the Cocoaint header translations has not been taken into account.

After replacing setNeedsDisplay in cocoaprivate.pas with setNeedsDisplay_(true) the next error shows up:

cocoascrollers.pas(53,15) Error: There is no method in an ancestor class to be overridden: "setDocumentView(NSView);"
cocoascrollers.pas(53,15) Error: Objective-C messages require their Objective-C selector name to be specified using the "message" directive.
cocoascrollers.pas(53,15) Error: Mismatch between number of declared parameters and number of colons in message string.

I assume all lazarus version 2.0.* are affected.
Steps To Reproducemake bigide LCL_PLATFORM=cocoa
TagsNo tags attached.
Fixed in Revision62885
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Dmitry Boyarintsev

2020-04-05 05:59

developer   ~0121915

please test and close if ok

Karl-Michael Schindler

2020-04-05 13:00

reporter   ~0121935

I assume, you tested this on trunk. I do only have fixes_2_0 at the moment. Therefore, I applied the changes to the fixes branch and tried it. It builds now and also starts. Can you merge the fix to fixes_2_0?

Michael.

Karl-Michael Schindler

2020-04-06 16:07

reporter   ~0121971

merged to fixes_2_0 with commit 62901. Thanks a lot.

Issue History

Date Modified Username Field Change
2020-04-03 16:13 Karl-Michael Schindler New Issue
2020-04-03 16:38 Dmitry Boyarintsev Target Version => 2.0.8
2020-04-03 16:38 Dmitry Boyarintsev LazTarget => -
2020-04-03 16:38 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-04-05 05:59 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2020-04-05 05:59 Dmitry Boyarintsev Status new => resolved
2020-04-05 05:59 Dmitry Boyarintsev Resolution open => fixed
2020-04-05 05:59 Dmitry Boyarintsev Fixed in Revision => 62885
2020-04-05 05:59 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-04-05 05:59 Dmitry Boyarintsev Note Added: 0121915
2020-04-05 13:00 Karl-Michael Schindler Note Added: 0121935
2020-04-06 16:07 Karl-Michael Schindler Status resolved => closed
2020-04-06 16:07 Karl-Michael Schindler Note Added: 0121971